[![Latest Release](https://img.shields.io/github/v/release/iliyangermanov/ivy-wallet)](https://github.com/ILIYANGERMANOV/ivy-wallet/releases)
[![Lint](https://github.com/ILIYANGERMANOV/ivy-wallet/actions/workflows/lint.yml/badge.svg)](https://github.com/ILIYANGERMANOV/ivy-wallet/actions/workflows/lint.yml)
[![Internal Release](https://github.com/ILIYANGERMANOV/ivy-wallet/actions/workflows/internal_release.yml/badge.svg)](https://github.com/ILIYANGERMANOV/ivy-wallet/actions/workflows/internal_release.yml)

[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)
[![PRs welcome!](https://img.shields.io/badge/PRs-welcome-brightgreen.svg)](https://github.com/ILIYANGERMANOV/ivy-wallet/blob/main/CONTRIBUTING.md)

# [Ivy Wallet: money manager](https://play.google.com/store/apps/details?id=com.ivy.wallet)

## Ideology :earth_africa:

We believe that people _(not corporations or business entities)_ can create innovative, open-source,
and free software that can make the world a better place.

**We want Ivy to be:**

- A place where you can excel and have fun while contributing to something meaningful.
- A community where you can express yourself freely and build the future that you want to live in.
- An open-source project that'll inspire a movement where people can build the software they want
  and eventually become a DAO where hundreds of developers can work on their own terms.

**We believe in:**

- Freedom.
- Creativity & Innovation.
- Challenging the status quo.
- Decentralization.
- Having the right to do what you believe in, not what you're told to.

## Community

Be the change! Join our [Telegram community](https://t.me/+ETavgioAvWg4NThk), comment on GitHub, and
tell us how we can create a better environment for developers & creators to work together.

### [Ivy Telegram Community](https://t.me/+ETavgioAvWg4NThk)

### [Ivy Telegram News](https://t.me/ivywallet)

## Ivy Developer Guidelines

A short and helpful guide on Android Architecture, Functional Reactive Programming (FRP) and Ivy best practices - **[Ivy Developer Guidelines](docs/Developer-Guidelines.md)**.

> Tip: Read it -> make proposals -> make the project better! :rocket:

## The Ivy Wallet App

Personal finance and spending tracker app which helps you manage your money.
<div align="center">
<img src="https://play-lh.googleusercontent.com/fxNeMm4BRWJ4ZozX5m8CSBbjZhcx0rKJM2cbiTgjKw4zxt8Pf_2BZBWp5L19R0XFdg=w720-h310-rw" alt="ivy-wallet-screenshot-1" width="155" height="310">
<img src="https://play-lh.googleusercontent.com/gtQQvucrc1dU7KRWj8iZW9n24aw_qY8M0W2J_rFLeYf9WVCyIL-hAWAz3mkcjTnNmw=w720-h310-rw" alt="ivy-wallet-screenshot-2" width="155" height="310">
<img src="https://play-lh.googleusercontent.com/dFuAvUVBF8wCB-yAcDQQDbrAJNXF_l-gy__yhB5MK9l7e7-NtTgvMh1U7UEC5PC06u7M=w720-h310-rw" alt="ivy-wallet-screenshot-3" width="155" height="310">
<img src="https://play-lh.googleusercontent.com/EmHhqdjylPK9K5Wh39vPFzUewNXOMNSNdVKhQze1G36mfm-ZEEqcbpzVU0bqX9MA5A=w720-h310-rw" alt="ivy-wallet-screenshot-4" width="155" height="310">
<img src="https://play-lh.googleusercontent.com/BCvcfsvWvomB3K24ZKxRgQ2Wvj8HlP-q1gXHwD8ShXlUPFzWGNVn5bMHos2tO3z-0w=w720-h310-rw" alt="ivy-wallet-screenshot-5" width="155" height="310">
<img src="https://play-lh.googleusercontent.com/bItT3JQsWq1iBcN7EpW4ceSgVuVzQUuIQX4zd2ZME7eXrHXEM1_vgUkeQaL56LTSqao=w720-h310-rw" alt="ivy-wallet-screenshot-6" width="155" height="310">
<img src="https://play-lh.googleusercontent.com/FqosJyCWk4IlalUubEuwXNIeyCABavgZ4C523rfwnM7VgO0ABDT7hWvlhQIDbxO41iI=w720-h310-rw" alt="ivy-wallet-screenshot-7" width="155" height="310">
<img src="https://play-lh.googleusercontent.com/BwrC-_rmIkmy0od5ebHh_8IvLoTV7-Ci3-M5cPQ62Q9ZeSI3CBWR8OHtajXAEOTFN24=w720-h310-rw" alt="ivy-wallet-screenshot-8" width="155" height="310">
</div>

Ivy Wallet is a free budget manager and spending tracker app that’ll help you manage your personal finances with ease.

Imagine Ivy Wallet as a digital financial notebook (manual expense tracker) in which you’ll track your income, expenses, and budget.

The advantage that our money manager gives you is that you can track expenses on the go with an intuitive and simple user interface (UI).

Once your transactions make their way into Ivy Wallet, the spending tracker app will give you insight into your monthly spending and help you plan your budgets.

When you enter more income and expenses in the money manager app you'll have an answer to three essential questions:

1) Exactly how much money do I have right now in all accounts combined? (money manager)

2) How much did I spend this month and where? (expense tracker)

3) How much money can I spend and still reach my financial goals? (budget manager)

$Track. $Budget. $Save

[<img src="https://lh3.googleusercontent.com/qF9r3ZjtgG-qyHdmjecArtKiulz1gmwL_xl9R3_fzk6igSeoN0wYbJSKEX5d_fxJRwYZJpHbqcLB3i9atl-9dOfUl9an7U43TfZ9PtQ=s0">](https://play.google.com/store/apps/details?id=com.ivy.wallet)

## Design
- **[Design System](https://www.figma.com/file/kSwIa07jcHEHZXo6rzx7dn/Design-System)**
- **[Icon Pack](https://www.figma.com/file/wKAAh6pN7fZmyehHRXxewD/Icon_pack)**
- **[Android App](https://www.figma.com/file/dz45jBNcLJYi0ehMLq7zMO/Android_APP)**

_..Migration from Adobe XD to public Figma project IN PROGRESS!_


## [Documentation](https://github.com/ILIYANGERMANOV/ivy-wallet/wiki)
To understand more about Ivy Wallet and its data model please visit [Ivy Wallet Wiki](https://github.com/ILIYANGERMANOV/ivy-wallet/wiki).

## Technologies
### Core
- Kotlin
- Jetpack Compose (UI & navigation)
- MVVM architecture with LiveData
- Hilt (DI)
- Kotlin Coroutines
- Functional Programming with Arrow
### Networking
- Retrofit (REST API)
- OkHttp 3 (REST client)
- Gson (JSON serialization)
### Local Persistence
- Shared Prefences
- Room DB (SQLite ORM)
### Other
- EventBus (cross component communication)
- Timber (Logging)
- Firebase Crashlytics (crashes, logging)
### CI/CD
- Gradle KTS
- Fastlane (upload to Google PlayStore)
- Github Actions (CI/CD server)

## Project Requirements
- Java 11
- Android Studio Arctic Fox (for easy download - [JetBrains Toolbox](https://www.jetbrains.com/toolbox-app/))

## How to build?
1. Clone the repository
2. Open with Android Studio
3. Everything should sync and build automatically
- _If any build problems occurr, please open a new issue including the logs._

## Contributors [(see graph)](https://github.com/ILIYANGERMANOV/ivy-wallet/graphs/contributors)
### Why to contribute?
- It's a win-win!
- You'll appear as an Ivy Wallet contributor in our public repo
- You can **include it in your CV/LinkedIn** and show recruiters that you contribute to our app _(counts as +1 released app in the [Google PlayStore](https://play.google.com/store/apps/details?id=com.ivy.wallet))_
- You'll make Ivy Wallet better
- You can develop the features that you want yourself, the way you want them
- You'll play around and learn cutting-edge technologies
- It's the easiest way to learn [Jetpack Compose](https://developer.android.com/jetpack/compose) in
  a production environment
- You can see Android Development Best Practices in 2022 (and also help us improve our code)
- When we merge your first PR
  I ([Iliyan Germanov](https://www.linkedin.com/in/iliyan-germanov-3963b5b9/)) will endorse you on
  LinkedIn for Android Development and Kotlin
- Personal recommendation on your LinkedIn profile after 10 successfully merged PRs - make sure that
  you notify us because we don't count your PRs :)

### How to contribute?

Follow our
compact **[Contributors Guide](https://github.com/ILIYANGERMANOV/ivy-wallet/blob/main/CONTRIBUTING.md)**
to begin.

TL;DR:
- Submit pull requests for bug fixes / code improvements to the `develop` branch
- Implement and submit PRs for opened issues
- Report (or fix) bugs/glitches 
- Create new issues to give us ideas and feedback
- [Download Ivy Wallet](https://play.google.com/store/apps/details?id=com.ivy.wallet) and leave us a review

I hope a lot more profile pictures are going to show up here, soon!

### Contributors Wall:
<a href="https://github.com/ILIYANGERMANOV/ivy-wallet/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=ILIYANGERMANOV/ivy-wallet" />
</a>
<br>
<br>

_Note: It may take up to 24h for the [contrib.rocks](https://contrib.rocks/preview?repo=ILIYANGERMANOV%2Fivy-wallet) plugin to update because it's refreshed once a day._ 
