# Business Model

[![PRs are welcome!](https://img.shields.io/badge/PRs-welcome-brightgreen.svg)](https://github.com/ILIYANGERMANOV/ivy-wallet/blob/main/CONTRIBUTING.md)
[![Feedback is welcome!](https://img.shields.io/badge/feedback-welcome-brightgreen)](https://t.me/+ETavgioAvWg4NThk)
[![Proposals are highly appreciated!](https://img.shields.io/badge/proposals-highly%20appreciated-brightgreen)](https://t.me/+ETavgioAvWg4NThk)

**:warning: Disclaimer: This business model isn't eternal and might evolve over time. So... We need your honest opinion to make it better!**

## Non-profit

For now, the model behind Ivy Wallet would be non-profit. A place to develop cool tech, use it to manage your money and also build a solid public portfolio in GitHub.

> In near future, we might create an option in the app for PayPal donations. Donations will be used to pay the servers, Ivy's legal entity expenses and then distributed between founders and contributors.

### Goals
- Build a cool app to use ourselves.
- More users to become contributors and supporters to the project.
- Learn, design and develop cutting-edge Android technologies while doing something meaningful, not sample projects.
- Create a public portfolio that you can proudly present.
- Earn your place in the "Hall of Fame" and make Ivy Wallet better.
- The more Ivy Wallet grows, the more what we do here will matter!
- _Hoping that one day: the Ivy Wallet app would gain enough downloads so big companies (Google, Apple, Amazon) can notice us and then we can connect our top contributors (devs, designers, marketing, product) with top job opportunities! :rocket:_

### We want people to proudly say....

- "I develop this app!"
- "I designed this feature of the app!"
- "I improved this and that!"
- "I manage this amazing product!"
- "I made this project successful and famous!"
- ...
- We want you to fill part of the project and use your skills, and talents to determine its ultimate destiny!

### Model

```mermaid
graph TD;

contribs(Contributors)
app(Ivy Wallet app)
reviews(Reviews)
hall("Hall of Fame")
github(GitHub repo)

contribs -- Develop --> app
contribs -- Promote --> app
contribs -- Use --> app
contribs -- Maintain --> app

app -- Generates --> reviews
reviews -- Traffic --> app

app -- Displays --> hall
hall -- Portfolio --> contribs
hall -- Promote --> contribs
hall -- Respect --> contribs

github -- Displays --> hall
```

### Hall of Fame
_Disclaimer: WIP... :construction:_

The `Hall of Fame` would be a special screen in the app to honor Ivy Wallet's contributors.

There would also be a `Hall of Fame` page in our GitHub repository which will be linked in the [README](https://github.com/ILIYANGERMANOV/ivy-wallet).

Non-technical people who promoted, designed or helped Ivy Wallet in any way can include themselves by submitting a PR following a template. _(which will be provided here :construction:)_


---

_Version 1.0.0_

_Feedback, proposals, and PRs are highly appreciated! Let's spark discussion and make Ivy Wallet and the world a better place! :rocket:_